<!--
IGAC proyecto SNC
@franz.gamba

@description  Diálogo que desplega la infromacion que sera enviada mediante correo electrónico

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" columns="1" cellspacing="3"
             width="100%" id="panelGridOrdenarRevision">

    <p:ajaxStatus onstart="statusDialog.show();"
                  onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />

    <h:panelGrid id="pnlGrdOrdenarREvision" columns="2" cellspacing="5">
        <h:panelGrid id="panelGrigInfoCorreo">
            <legend>
                <h:outputLabel value="Origen: " styleClass="LegendTitle" />
            </legend>
            <p:spacer height="10" width="0" />
            <h:outputText value="#{managedBeanParam.usuario.nombreCompleto}"
                          styleClass="outputTextStyle" />
            <p:spacer height="10" width="0" />
            <h:outputText value="Director Territorial"
                          styleClass="outputTextStyle" />

            <p:spacer height="20" width="0" />
            <legend>
                <h:outputLabel value="Destino: " styleClass="LegendTitle" />
            </legend>
            <h:outputText value="Responsable de Actualización"
                          styleClass="outputTextStyle" />

            <p:spacer height="20" width="0" />

            <h:outputLabel value="Comenatrios Adicionales"
                           styleClass="outputLabelStyle" />
            <p:inputTextarea style="width:300px;height:100px;" id="comentariosAdicionalesText"
                             value ="#{managedBeanParam.comentariosAdicionales}"/>
            <p:commandButton value="Visualizar comentarios" style="width: 100%"
                             update="panelGridContenidoCorreo" action="#{managedBeanParam.revisarEstudioDeCostos}"
                             process="@this, comentariosAdicionalesText">				
            </p:commandButton>
            <p:commandButton value="Enviar correo" style="width: 100%"
                             process="@this" oncomplete="confirmarEnviarWV.show()">
            </p:commandButton>
            <p:commandButton value="Cancelar" style="width: 100%"				
                             process="@this" oncomplete="ordenarRevisionWV.hide()">				
            </p:commandButton>

        </h:panelGrid>
        <p:panel>
            <h:panelGrid width="70%" id="panelGridContenidoCorreo">
                <h:outputText id="contenidoAP" value="#{managedBeanParam.contenido}"
                              escape="false" styleClass="outputTextStyle" style="font-size: 100%" />
            </h:panelGrid>
        </p:panel>
    </h:panelGrid>
    <p:confirmDialog message="¿Desea mandar a revisar el estudio de costos?"
                     header="Enviar a revisión" severity="alert" appendToBody="true"
                     widgetVar="confirmarEnviarWV">

        <p:commandButton value="Sí" process="@form"
                         update="panelGridContenidoCorreo"		
                         action="#{managedBeanParam.enviarCorreoRevision}" 
                         oncomplete="confirmarEnviarWV.hide();ordenarRevisionWV.hide()"/>

        <p:commandButton value="No" onclick="confirmarEnviarWV.hide()"
                         type="button" />

    </p:confirmDialog>
</h:panelGrid>
